## NAME

d.slide.show - Slide show of GRASS raster/vector maps

## KEYWORDS

display, slideshow

## SYNOPSIS

d.slide.show
d.slide.show help
d.slide.show [-v] [prefix=string] [across=integer] [down=integer] [mapsets=string[,string,...]] [delay=integer]

### Flags:

-v
  show vector maps rather than raster maps

### Parameters:

prefix=string
  map prefix. Specify character(s) to view selected maps only
across=integer
  map number show across the monitor
down=integer
  map number show down the monitor
mapsets=string[,string,...]
  mapsets to use. Specify multiple mapsets comma separated
delay=integer
  number of seconds to pause between slides
  Options: 0-60
  Default: 0

## DESCRIPTION

d.slide.show is a UNIX Bourne shell macro which clears the entire screen, creates a series of display frames on the graphics monitor, and displays in slideshow format each of the raster/vector map layers listed in the user-specified mapsets. This is a shell script example which makes extensive use of GRASS and UNIX commands. Users are encouraged to examine this macro and develop similar on-line demos using their own data files.

## EXAMPLE

The following command sequence shows the available raster maps, saves the view to a PNG file and then converts it into a PDF file:

    # reset region:
    g.region -dp

    # open GRASS monitor with defined size:
    GRASS_WIDTH=800 GRASS_HEIGHT=1000 d.mon x0

    # we have around 40 maps in the Spearfish PERMANENT mapset:
    d.slide.show across=5 down=8 mapsets=PERMANENT

    # From Monitor to PNG to PDF:
    d.out.png out=spearfish_maps.png res=2

    convert spearfish_maps.png spearfish_maps.pdf
    xpdf spearfish_maps.pdf

## SEE ALSO

d.erase
d.frame
d.text
g.mapsets
xganim

## AUTHOR

James Westervelt, U.S.Army Construction Engineering Research Laboratory
Vector update, fixes: Markus Neteler

Last changed: $Date: 2007/03/08 13:51:30 $

Main index - display index - Full index